iqextension.onFirefoxLoad = function() {
  document.getElementById("contentAreaContextMenu")
          .addEventListener("popupshowing", function (e){ this.showFirefoxContextMenu(e); }, false);
	this.handleFirstRun();
};

iqextension.handleFirstRun = function()
{
		this.prefs = Components.classes["@mozilla.org/preferences-service;1"]
				.getService(Components.interfaces.nsIPrefService)
				.getBranch("extensions.iqextension.");
		this.prefs.QueryInterface(Components.interfaces.nsIPrefBranch2);
		
		if(!this.prefs.prefHasUserValue("firstrun")
			&& document.getElementById("toolbar-button-iqextension-copy") == null 
			&& document.getElementById("toolbar-button-iqextension-link") == null) 
		{
			var attachButton = document.getElementById("urlbar-container");
			var toolbarElement = document.getElementById("nav-bar");
      if (toolbarElement != null && attachButton != null)
			{	// add the iq Toolbar
    		toolbarElement.insertItem("toolbar-button-iqextension-copy", attachButton, null, false);
    		toolbarElement.insertItem("toolbar-button-iqextension-link", attachButton, null, false);
    		toolbarElement.setAttribute("currentset", toolbarElement.currentSet);
    		document.persist(toolbarElement.id, "currentset");
    	}
		}
		// set this as the first run to prevent it from running again
		this.prefs.setBoolPref("firstrun", true); 
};

iqextension.showFirefoxContextMenu = function(event) {
  // show or hide the menuitem
  // see http://kb.mozillazine.org/Adding_items_to_menus
  document.getElementById("context-iqextension").hidden = gContextMenu.onImage;
};

window.addEventListener("load", function(e) { iqextension.onFirefoxLoad(e); }, false);
