var iqextension = {
	// public functions
onLoad: function() 
{
    // initialization code
    this.initialized = true;
    this.strings = document.getElementById("iqextension-strings");
},

onFirefoxCmd: function(e, type) 
{
	shift = e.shiftKey;
	switch (type)
	{
	case "link":
		iqHelper.launchiq("|Link ", new Array("|URL," + window._content.document.location + " |Title," + window._content.document.title));
		break;
	case "copy":
		if (window._content.document.getSelection() != "")
		{
			this.copySelToClipboard();
			iqHelper.launchiq("|ImportClip ", new Array("|URL," + window._content.document.location + " |Title," + window._content.document.title));
		}
		else
			iqHelper.launchiq("|ImportPage ", new Array("|URL," + window._content.document.location + " |Title," + window._content.document.title));
		break;
	}
	if (e.stopPropagation) // prevent this event from propagating to another listener
		e.stopPropagation();
},

// private functions
getAllUrls: function()
{
	var ret = new Array(), num = gBrowser.browsers.length;
	for (var i = 0; i < num; i++) 
	{
		var b = gBrowser.getBrowserAtIndex(i);
		try 
		{
			ret[i] = b.currentURI.spec;
		} 
		catch(e) 
		{
		}
	}
	return ret;
},

copySelToClipboard: function() 
{
	document.getElementById("cmd_copy").doCommand();
},

};
window.addEventListener("load", function(e) { this.onLoad(e); }, false);
